Skip to main content

Credit with Swiped Track Data


This use case processes a PIN debit credit with swiped track data.

Endpoints

POST /pts/v2/credits/

POST /pts/v2/credits/

Example

{  "clientReferenceInformation": {    "code": "Pin Debit Credit Swiped Track Data",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "networkRoutingOrder": "GUFV"  },  "paymentInformation": {    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    },    "card": {      "useAs": "",      "sourceAccountType": "UA"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "202.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "entryMode": "swiped",    "terminalCapability": 4,    "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES ^3312101976110000868000000?;4xxxxxxxxxxx1111=33121019761186800000?"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/credits/6886766930876811204951/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/credits/6886766930876811204951"    }  },  "clientReferenceInformation": {    "code": "ABC1234"  },  "creditAmountDetails": {    "currency": "usd",    "creditAmount": "202.00"  },  "id": "6886766930876811204951",  "orderInformation": {    "amountDetails": {      "currency": "usd"    }  },  "processingInformation": {    "reconciliationId": "6886766930876811204951"  },  "processorInformation": {    "systemTraceAuditNumber": "120775",    "routing": {      "network": "0000"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456120775",    "transactionId": "000000000000000",    "responseCode": "00"  },  "reconciliationId": "6886766930876811204951",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-06-22T15:50:58Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.entryModeSet the value to swiped.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026